## getsploit 2.0.2

=== Makefile ===
format:
	poetry run ruff format getsploit

isort:
	poetry run ruff check --select I --fix getsploit

mypy:
	poetry run mypy getsploit

mypy-one:
	poetry run mypy ${ARGS}

cc:
	make format
	make isort

## getsploit 1.0.0

=== debian/changelog ===
getsploit (1.0.0-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 23 Apr 2024 15:14:54 +0200

=== debian/control ===
Source: getsploit
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Arslan Masood <contact@arszilla.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-clint,
 python3-setuptools,
 python3-six,
 python3-texttable,
 python3-vulners,
Standards-Version: 4.6.2
Homepage: https://github.com/vulnersCom/getsploit
Vcs-Browser: https://gitlab.com/kalilinux/packages/getsploit
Vcs-Git: https://gitlab.com/kalilinux/packages/getsploit.git

Package: getsploit
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Command line utility for searching and downloading exploits
 Inspired by searchsploit, getsploit combines two features: command line search
 and download.
 .
 It allows you to search online for the exploits across all the most popular 
 collections, including (but not limited to):
    - Exploit-DB,
    - Metasploit,
    - Packetstorm
 .
 The most powerful feature of getsploit is the ability to immediately download 
 the exploit source code in your working path.

=== debian/tests/control ===
Test-Command: getsploit -h
Restrictions: superficial, allow-stderr

## getsploit 2.0.2

=== debian/changelog ===
getsploit (2.0.2-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Sophie Brun ]
  * New upstream version 2.0.2
  * Update debian/copyright
  * Refresh patches
  * Add missing build-deps
  * Bump Standards-Version to 4.7.2 (no change)
  * Update autopkgtest

 -- Sophie Brun <sophie@kali.org>  Fri, 19 Sep 2025 14:48:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,21 @@
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
 Uploaders: Arslan Masood <contact@arszilla.com>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-click,
  python3-clint,
+ python3-httpx,
+ python3-orjson,
+ python3-poetry-core,
  python3-setuptools,
  python3-six,
  python3-texttable,
  python3-vulners,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/vulnersCom/getsploit
 Vcs-Browser: https://gitlab.com/kalilinux/packages/getsploit
 Vcs-Git: https://gitlab.com/kalilinux/packages/getsploit.git

=== debian/rules ===
#!/usr/bin/make -f

# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME = getsploit

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: getsploit --help
Restrictions: superficial, allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/getsploit-$1\.tar\.gz/ \
  https://github.com/vulnersCom/getsploit/tags .*/v?(\d\S+)\.tar\.gz
